@Echo Off

Rem   ---------------------------------------------------------------------------
Rem  JOnAS: Java(TM) Open Application Server
Rem  Copyright (C) 1999 Bull S.A.
Rem  Contact: jonas-team@objectweb.org
Rem  
Rem  This library is free software; you can redistribute it and/or
Rem  modify it under the terms of the GNU Lesser General Public
Rem  License as published by the Free Software Foundation; either
Rem  version 2.1 of the License, or any later version.
Rem  
Rem  This library is distributed in the hope that it will be useful,
Rem  but WITHOUT ANY WARRANTY; without even the implied warranty of
Rem  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Rem  Lesser General Public License for more details.
Rem  
Rem  You should have received a copy of the GNU Lesser General Public
Rem  License along with this library; if not, write to the Free Software
Rem  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
Rem  USA
Rem  
Rem  Initial developer(s): ____________________________________.
Rem   Contributor(s): 
Rem      Emmanuel Cecchet: %JAVA_OPTS% as last parameter for JVM
Rem  
Rem	00/22/05  Roland Kamsikav (email: Roland.Kamsika@amonite.co.uk)
Rem	          Versions of this script created from a contribution
Rem               of Roland Kamsika
Rem	          (Portions provided by Anatole Tresch & Rdiger Breit)
Rem
Rem   ---------------------------------------------------------------------------
Rem   $Id$
Rem   ---------------------------------------------------------------------------


Rem  Check environment variables:
if "%JONAS_ROOT%"=="" Goto SetRoot

Rem set the Environment Variables
call %JONAS_ROOT%\bin\nt\config_env.bat

if "%OBJECTWEB_ORB%"=="DAVID" goto David

%JAVA% %JAVA_OPTS% -Dinstall.root=%JONAS_ROOT% -Djava.security.policy=%JONAS_ROOT%\config\java.policy org.objectweb.jonas.adm.JonasAdmin %1 %2 %3 %4 %5 %6 %7 %8 %9
Goto End

:David
Rem get CosNamning parameters from env or from arguments
if "%COSNAMING_HOST%"=="" goto NoCos
Set host=%COSNAMING_HOST%
Set port=%COSNAMING_PORT%
goto DavidStart
:NoCos
Set host=%1
Set port=%2
:DavidStart
%JAVA%  -Dinstall.root=%JONAS_ROOT% -Djava.security.policy=$JONAS_ROOT/config/java.policy -Dorg.omg.CORBA.ORBClass=org.objectweb.david.libs.binding.orbs.iiop.IIOPORB -Dorg.omg.CORBA.ORBSingletonClass=org.objectweb.david.libs.binding.orbs.ORBSingletonClass -Djavax.rmi.CORBA.StubClass=org.objectweb.david.libs.stub_factories.rmi.StubDelegate -Djavax.rmi.CORBA.PortableRemoteObjectClass=org.objectweb.david.libs.binding.rmi.ORBPortableRemoteObjectDelegate -Djavax.rmi.CORBA.UtilClass=org.objectweb.david.libs.helpers.RMIUtilDelegate -Ddavid.CosNaming.default_method=0 -Ddavid.rmi.ValueHandlerClass=com.sun.corba.se.internal.io.ValueHandlerImpl -Ddavid.CosNaming.default_host=%host% -Ddavid.CosNaming.default_port=%port% %JAVA_OPTS% org.objectweb.jonas.adm.JonasAdmin %3 %4 %5 %6 %7 %8 %9
Goto End

:SetRoot
@echo "JONAS_ROOT must be set"
Goto End

:End

